
USHORT chip PointData1[] = {
        0x0000,0x0000,0x7FFF,0xFF80,0x4000,0x0080,0x4004,0x0080,
        0x400A,0x0080,0x400A,0x0080,0x4011,0x0080,0x4020,0x8080,
        0x4040,0x4080,0x4040,0x4080,0x4080,0x2080,0x40FF,0xE080,
        0x4000,0x0080,0x4000,0x0080,0x7FFF,0xFF80,0x0000,0x0000
};

struct Image Point1 = {
        0,0,    /* XY origin relative to container TopLeft */
        26,16,  /* Image width and height in pixels */
        1,      /* number of bitplanes in Image */
        PointData1,     /* pointer to ImageData */
        0x0001,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget GadgPoint1 = {
        NULL,   /* next gadget */
        370,120,        /* origin XY of hit box relative to window TopLeft */
        26,16,  /* hit box width and height */
        GADGIMAGE,      /* gadget flags */
        GADGIMMEDIATE, /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Point1,  /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

USHORT chip PointData2[] = {
        0x0000,0x0000,0x7FFF,0xFF80,0x4000,0x0080,0x4000,0x0080,
        0x400C,0x0080,0x4012,0x0080,0x4021,0x0080,0x4040,0x8080,
        0x4040,0x8080,0x4021,0x0080,0x4012,0x0080,0x400C,0x0080,
        0x4000,0x0080,0x4000,0x0080,0x7FFF,0xFF80,0x0000,0x0000
};

struct Image Point2 = {
        0,0,    /* XY origin relative to container TopLeft */
        26,16,  /* Image width and height in pixels */
        1,      /* number of bitplanes in Image */
        PointData2,     /* pointer to ImageData */
        0x0001,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget GadgPoint2 = {
        &GadgPoint1,      /* next gadget */
        340,120,        /* origin XY of hit box relative to window TopLeft */
        26,16,  /* hit box width and height */
        GADGIMAGE,      /* gadget flags */
        GADGIMMEDIATE, /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Point2,  /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

USHORT chip PointData3[] = {
        0x0000,0x0000,0x7FFF,0xFF00,0x4000,0x0100,0x4000,0x0100,
        0x4000,0x0100,0x4021,0x0100,0x4012,0x0100,0x400C,0x0100,
        0x400C,0x0100,0x4012,0x0100,0x4021,0x0100,0x4000,0x0100,
        0x4000,0x0100,0x4000,0x0100,0x7FFF,0xFF00,0x0000,0x0000
};

struct Image Point3 = {
        0,0,    /* XY origin relative to container TopLeft */
        25,16,  /* Image width and height in pixels */
        1,      /* number of bitplanes in Image */
        PointData3,     /* pointer to ImageData */
        0x0001,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget GadgPoint3 = {
        &GadgPoint2,      /* next gadget */
        370,100, /* origin XY of hit box relative to window TopLeft */
        25,16,  /* hit box width and height */
        GADGIMAGE,      /* gadget flags */
        GADGIMMEDIATE, /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Point3,  /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

USHORT chip PointData4[] = {
        0x0000,0x0000,0x7FFF,0xFF00,0x4000,0x0100,0x4000,0x0100,
        0x4000,0x0100,0x4008,0x0100,0x402A,0x0100,0x401C,0x0100,
        0x407F,0x0100,0x401C,0x0100,0x402A,0x0100,0x4008,0x0100,
        0x4000,0x0100,0x4000,0x0100,0x7FFF,0xFF00,0x0000,0x0000
};

struct Image Point4 = {
        0,0,    /* XY origin relative to container TopLeft */
        25,16,  /* Image width and height in pixels */
        1,      /* number of bitplanes in Image */
        PointData4,     /* pointer to ImageData */
        0x0001,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget GadgPoint4 = {
        &GadgPoint3,       /* next gadget */
        340,100, /* origin XY of hit box relative to window TopLeft */
        25,16,  /* hit box width and height */
        GADGIMAGE,      /* gadget flags */
        GADGIMMEDIATE, /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Point4,  /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

USHORT chip PointData5[] = {
        0x0000,0x0000,0x7FFF,0xFF80,0x4000,0x0080,0x4000,0x0080,
        0x4004,0x0080,0x4004,0x0080,0x4004,0x0080,0x407F,0xC080,
        0x4004,0x0080,0x4004,0x0080,0x4004,0x0080,0x4000,0x0080,
        0x4000,0x0080,0x4000,0x0080,0x7FFF,0xFF80,0x0000,0x0000
};

struct Image Point5 = {
        0,0,    /* XY origin relative to container TopLeft */
        26,16,  /* Image width and height in pixels */
        1,      /* number of bitplanes in Image */
        PointData5,     /* pointer to ImageData */
        0x0001,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget GadgPoint5 = {
        &GadgPoint4,       /* next gadget */
        370,80, /* origin XY of hit box relative to window TopLeft */
        26,16,  /* hit box width and height */
        GADGIMAGE,      /* gadget flags */
        GADGIMMEDIATE, /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Point5,  /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

USHORT chip PointData6[] = {
        0x0000,0x0000,0x7FFF,0xFF80,0x4000,0x0080,0x4000,0x0080,
        0x407F,0x0080,0x4041,0x0080,0x4041,0x0080,0x4041,0x0080,
        0x4041,0x0080,0x4041,0x0080,0x4041,0x0080,0x407F,0x0080,
        0x4000,0x0080,0x4000,0x0080,0x7FFF,0xFF80,0x0000,0x0000
};

struct Image Point6 = {
        0,0,    /* XY origin relative to container TopLeft */
        26,16,  /* Image width and height in pixels */
        1,      /* number of bitplanes in Image */
        PointData6,     /* pointer to ImageData */
        0x0001,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

struct Gadget GadgPoint6 = {
        &GadgPoint5,       /* next gadget */
        340,80, /* origin XY of hit box relative to window TopLeft */
        26,16,  /* hit box width and height */
        GADGIMAGE,      /* gadget flags */
        GADGIMMEDIATE, /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Point6, /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

struct Gadget Gadget47 = {
        &GadgPoint6,      /* next gadget */
        209,92,        /* origin XY of hit box relative to window TopLeft */
        60,17,  /* hit box width and height */
        GADGHIMAGE+GADGIMAGE,   /* gadget flags */
        GADGIMMEDIATE, /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Image6a, /* gadget border or image to be rendered */
        NULL, /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

UBYTE Gadget46SIBuff[3] = "6";
struct StringInfo Gadget46SInfo = {
        Gadget46SIBuff, /* buffer where text will be edited */
        NULL,   /* optional undo buffer */
        0,      /* character position in buffer */
        3,      /* maximum number of characters to allow */
        0,      /* first displayed character buffer position */
        0,0,0,0,0,      /* Intuition initialized and maintained variables */
        0,      /* Rastport of gadget */
        6,      /* initial value for integer gadgets */
        NULL    /* alternate keymap (fill in if you set the flag) */
};

SHORT BorderVectors12[] = {
        0,0,
        31,0,
        31,17,
        0,17,
        0,1
};
struct Border Border12 = {
        -5,-5,  /* XY origin relative to container TopLeft */
        3,0,COMPLEMENT, /* front pen, back pen and drawmode */
        5,      /* number of XY vectors */
        BorderVectors12,        /* pointer to XY vectors */
        NULL    /* next border in list */
};

struct Gadget Gadget46 = {
        &Gadget47,      /* next gadget */
        216,130,        /* origin XY of hit box relative to window TopLeft */
        26,16,  /* hit box width and height */
        NULL,   /* gadget flags */
        STRINGCENTER+LONGINT,     /* activation flags */
        STRGADGET,      /* gadget type flags */
        (APTR)&Border12,        /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        (APTR)&Gadget46SInfo,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

/* Default Colour Gadget */

USHORT chip ColourData1[] = {
        0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
        0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
        0x0000,0x0000,0x0000,0x0000,0x0070,0x01C0,0x001C,0x2000,
        0x0030,0x0360,0x000C,0x6000,0x01B1,0xE30F,0x198C,0xF800,
        0x0373,0x3781,0x998C,0x6000,0x0333,0xF307,0x998C,0x6000,
        0x0333,0x0319,0x998C,0x6800,0x01D9,0xE78E,0xCEDE,0x3000,
        0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
        0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
        0x0000,0x0000,0x0000,0x0000,0xFFFF,0xFFFF,0xFFFF,0xFFC0,
        0x8000,0x0000,0x0000,0x0040,0xBFFF,0xFFFF,0xFFFF,0xFF40,
        0xBFFF,0xFFFF,0xFFFF,0xFF40,0xBFFF,0xFFFF,0xFFFF,0xFF40,
        0xBF8F,0xFE3F,0xFFE3,0xDF40,0xBFCF,0xFC9F,0xFFF3,0x9F40,
        0xBE4E,0x1CF0,0xE673,0x0740,0xBC8C,0xC87E,0x6673,0x9F40,
        0xBCCC,0x0CF8,0x6673,0x9F40,0xBCCC,0xFCE6,0x6673,0x9740,
        0xBE26,0x1871,0x3121,0xCF40,0xBFFF,0xFFFF,0xFFFF,0xFF40,
        0xBFFF,0xFFFF,0xFFFF,0xFF40,0xBFFF,0xFFFF,0xFFFF,0xFF40,
        0x8000,0x0000,0x0000,0x0040,0xFFFF,0xFFFF,0xFFFF,0xFFC0
};

struct Image Colour1 = {
        0,0,    /* XY origin relative to container TopLeft */
        58,17,  /* Image width and height in pixels */
        2,      /* number of bitplanes in Image */
        ColourData1,     /* pointer to ImageData */
        0x0003,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};

/* Example Colour Gadget */

USHORT chip ColourData2[] = {
        0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,
        0x3FFF,0xFFFF,0xFFFF,0xFF00,0x2000,0x0000,0x0000,0x0100,
        0x2000,0x0000,0x0000,0x0100,0x2000,0x0000,0x0000,0x0100,
        0x2000,0x0000,0x0000,0x0100,0x2000,0x0000,0x0000,0x0100,
        0x2000,0x0000,0x0000,0x0100,0x2000,0x0000,0x0000,0x0100,
        0x2000,0x0000,0x0000,0x0100,0x2000,0x0000,0x0000,0x0100,
        0x2000,0x0000,0x0000,0x0100,0x2000,0x0000,0x0000,0x0100,
        0x3FFF,0xFFFF,0xFFFF,0xFF00,0x0000,0x0000,0x0000,0x0000,
        0x0000,0x0000,0x0000,0x0000
};

struct Image Colour2 = {
        0,0,    /* XY origin relative to container TopLeft */
        58,17,  /* Image width and height in pixels */
        1,      /* number of bitplanes in Image */
        ColourData2,     /* pointer to ImageData */
        0x0,0x4,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};


/* Colour Selector Gadget */

struct Gadget Gadget45 = {
        &Gadget46,      /* next gadget */
        209,59,        /* origin XY of hit box relative to window TopLeft */
        60,17,  /* hit box width and height */
        GADGHIMAGE+GADGIMAGE,   /* gadget flags */
        GADGIMMEDIATE,     /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Colour1, /* gadget border or image to be rendered */
        NULL, /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

/* Stop Image Data */

USHORT chip StopData[] = {
        0x0000,0x0000,0x0000,0x0000,0x0000,0x007F,0xFE00,0x0000,
        0x0000,0x07FF,0xFFE0,0x0000,0x0000,0x1FFF,0xFFF8,0x0000,
        0x0000,0x7FFF,0xFFFE,0x0000,0x0001,0xFFF0,0x0FFF,0x8000,
        0x0003,0xFF00,0x00FF,0xC000,0x000F,0xFC00,0x003F,0xF000,
        0x001F,0xF000,0x000F,0xF800,0x003F,0xC000,0x0003,0xFC00,
        0x007F,0x8000,0x0001,0xFE00,0x00FE,0x0000,0x0000,0x7F00,
        0x01FC,0x0000,0x0000,0x3F80,0x01F8,0x0000,0x0000,0x1F80,
        0x03F0,0x0000,0x0000,0x0FC0,0x07E0,0x0000,0x0000,0x07E0,
        0x07E0,0x0000,0x0000,0x07E0,0x0FC0,0x0000,0x0000,0x03F0,
        0x0F80,0x0000,0x0000,0x01F0,0x1F80,0x0000,0x0000,0x01F8,
        0x1F00,0x0000,0x0000,0x00F8,0x3F00,0x0000,0x0000,0x00FC,
        0x3E00,0x0000,0x0000,0x007C,0x3E00,0x0000,0x0000,0x007C,
        0x3C00,0x0000,0x0000,0x003C,0x7C00,0x0000,0x0000,0x003E,
        0x7C00,0x0000,0x0000,0x003E,0x7C03,0xE820,0x0000,0x003E,
        0x780E,0x1860,0x0000,0x001E,0x781C,0x0860,0x0000,0x001E,
        0x7807,0x01F8,0x1F9D,0xE01E,0x7801,0xC060,0x30CE,0x301E,
        0x7800,0x7060,0x30CC,0x301E,0x7810,0x3860,0x30CC,0x301E,
        0x7818,0x7066,0x30CC,0x301E,0x7817,0xC03C,0x1F8F,0xE01E,
        0x7C00,0x0000,0x000C,0x003E,0x7C00,0x0000,0x000C,0x003E,
        0x7C00,0x0000,0x001E,0x003E,0x3C00,0x0000,0x0000,0x003C,
        0x3E00,0x0000,0x0000,0x007C,0x3E00,0x0000,0x0000,0x007C,
        0x3F00,0x0000,0x0000,0x00FC,0x1F00,0x0000,0x0000,0x00F8,
        0x1F80,0x0000,0x0000,0x01F8,0x0F80,0x0000,0x0000,0x01F0,
        0x0FC0,0x0000,0x0000,0x03F0,0x07E0,0x0000,0x0000,0x07E0,
        0x07E0,0x0000,0x0000,0x07E0,0x03F0,0x0000,0x0000,0x0FC0,
        0x01F8,0x0000,0x0000,0x1F80,0x01FC,0x0000,0x0000,0x3F80,
        0x00FE,0x0000,0x0000,0x7F00,0x007F,0x8000,0x0001,0xFE00,
        0x003F,0xC000,0x0003,0xFC00,0x001F,0xF000,0x000F,0xF800,
        0x000F,0xFC00,0x003F,0xF000,0x0003,0xFF00,0x00FF,0xC000,
        0x0001,0xFFF0,0x0FFF,0x8000,0x0000,0x7FFF,0xFFFE,0x0000,
        0x0000,0x1FFF,0xFFF8,0x0000,0x0000,0x07FF,0xFFE0,0x0000,
        0x0000,0x007F,0xFE00,0x0000,0x0000,0x0000,0x0000,0x0000
};


struct Image Stop = {
        0,0,    /* XY origin relative to container TopLeft */
        64,64,  /* Image width and height in pixels */
        1,      /* number of bitplanes in Image */
        StopData,     /* pointer to ImageData */
        0x0001,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};


struct Gadget GadgetStop = {
        &Gadget45,      /* next gadget */
        55,170, /* origin XY of hit box relative to window TopLeft */
        64,64,  /* hit box width and height */
        GADGHIMAGE+GADGIMAGE,   /* gadget flags */
        GADGIMMEDIATE,     /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Stop, /* gadget border or image to be rendered */
        NULL, /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};



/* Skip Image Data */

USHORT chip SkipData[] = {
        0x0000,0x0000,0x0000,0x0000,0x0000,0x0000,0x1FFF,0xFFFF,
        0xFFFF,0xFFFF,0xFFFF,0xF000,0x3FFF,0xFFFF,0xFFFF,0xFFFF,
        0xFFFF,0xF800,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFC00,
        0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFC00,0x7FFF,0xFFFF,
        0xFFFF,0xFFFF,0xFFFF,0xFC00,0x7C00,0x0000,0x0000,0x0000,
        0x0000,0x7C00,0x7C00,0x0000,0x0000,0x0000,0x0000,0x7C00,
        0x7C00,0x0000,0x0000,0x0000,0x0000,0x7C00,0x7C00,0x0000,
        0x0000,0x0000,0x0000,0x7C00,0x7C00,0x0000,0x0000,0x0000,
        0x0000,0x7C00,0x7C00,0x0000,0x0000,0x0000,0x0000,0x7C00,
        0x7C00,0x0000,0x0000,0x0000,0x0000,0x7C00,0x7C00,0x000F,
        0xAE00,0xC000,0x0000,0x7C00,0x7C00,0x0038,0x6600,0xC000,
        0x0000,0x7C00,0x7C00,0x0070,0x2638,0x0000,0x0000,0x7C00,
        0x7C00,0x001C,0x0621,0xC778,0x0000,0x7C00,0x7C00,0x0007,
        0x0640,0xC38C,0x0000,0x7C00,0x7C00,0x0001,0xC780,0xC30C,
        0x0000,0x7C00,0x7C00,0x0040,0xE6C0,0xC30C,0x0000,0x7C00,
        0x7C00,0x0061,0xC660,0xC30C,0x0000,0x7C00,0x7C00,0x005F,
        0x0F79,0xE3F8,0x0000,0x7C00,0x7C00,0x0000,0x0000,0x0300,
        0x0000,0x7C00,0x7C00,0x0000,0x0000,0x0300,0x0000,0x7C00,
        0x7C00,0x0000,0x0000,0x0780,0x0000,0x7C00,0x7C00,0x0000,
        0x0000,0x0000,0x0000,0x7C00,0x7C00,0x0000,0x0000,0x0000,
        0x0000,0x7C00,0x7C00,0x0000,0x0000,0x0000,0x0000,0x7C00,
        0x7C00,0x0000,0x0000,0x0000,0x0000,0x7C00,0x7C00,0x0000,
        0x0000,0x0000,0x0000,0x7C00,0x7C00,0x0000,0x0000,0x0000,
        0x0000,0x7C00,0x7C00,0x0000,0x0000,0x0000,0x0000,0x7C00,
        0x7C00,0x0000,0x0000,0x0000,0x0000,0x7C00,0x7FFF,0xFFFF,
        0xFFFF,0xFFFF,0xFFFF,0xFC00,0x7FFF,0xFFFF,0xFFFF,0xFFFF,
        0xFFFF,0xFC00,0x7FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xFC00,
        0x3FFF,0xFFFF,0xFFFF,0xFFFF,0xFFFF,0xF800,0x1FFF,0xFFFF,
        0xFFFF,0xFFFF,0xFFFF,0xF000,0x0000,0x0000,0x0000,0x0000,
        0x0000,0x0000
};

struct Image Skip = {
        0,0,    /* XY origin relative to container TopLeft */
        87,39,  /* Image width and height in pixels */
        2,      /* number of bitplanes in Image */
        SkipData,     /* pointer to ImageData */
        0x0001,0x0000,  /* PlanePick and PlaneOnOff */
        NULL    /* next Image structure */
};


struct Gadget GadgetSkip = {
        &GadgetStop,      /* next gadget */
        175,186, /* origin XY of hit box relative to window TopLeft */
        87,39,  /* hit box width and height */
        GADGHIMAGE+GADGIMAGE,   /* gadget flags */
        GADGIMMEDIATE,     /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Skip, /* gadget border or image to be rendered */
        NULL, /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

extern struct Image Continue;

struct Gadget Gadget43 = {
        &GadgetSkip,      /* next gadget */
        330,180,        /* origin XY of hit box relative to window TopLeft */
        99,43,  /* hit box width and height */
        GADGHBOX+GADGHIMAGE+GADGIMAGE,  /* gadget flags */
        GADGIMMEDIATE,  /* activation flags */
        BOOLGADGET,     /* gadget type flags */
        (APTR)&Continue, /* gadget border or image to be rendered */
        NULL,   /* alternate imagery for selection */
        NULL,   /* first IntuiText structure */
        NULL,   /* gadget mutual-exclude long word */
        NULL,   /* SpecialInfo structure */
        NULL,   /* user-definable data */
        NULL    /* pointer to user-definable data */
};

struct IntuiText IText20 = {
        1,0,JAM2,       /* front and back text pens, drawmode and fill byte */
        320,57, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        "Point Type:",    /* pointer to text */
        NULL        /* next IntuiText structure */
};

struct IntuiText IText19 = {
        1,0,JAM2,       /* front and back text pens, drawmode and fill byte */
        52,130, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        "Point Size (1-20)",    /* pointer to text */
        &IText20        /* next IntuiText structure */
};

struct IntuiText IText18 = {
        1,0,JAM2,       /* front and back text pens, drawmode and fill byte */
        94,97, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        "Plot Data as", /* pointer to text */
        &IText19        /* next IntuiText structure */
};

struct IntuiText IText17 = {
        1,0,JAM2,       /* front and back text pens, drawmode and fill byte */
        39,63, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        "  Select Colour -->",  /* pointer to text */
        &IText18        /* next IntuiText structure */
};

struct IntuiText IText16 = {
        1,0,JAM1,       /* front and back text pens, drawmode and fill byte */
        152,22, /* XY origin relative to container TopLeft */
        NULL,   /* font pointer or NULL for default */
        NULL,       /* pointer to text */
        &IText17        /* next IntuiText structure */
};

char title1[]="                Custom Plot Window              ";

char SetText[20][18]={"First Data Set",
                    "Second Data Set",
                    "Third Data Set",
                    "Fourth Data Set",
                    "Fifth Data Set",
                    "Sixth Data Set",
                    "Seventh Data Set",
                    "Eighth Data Set",
                    "Nineth Data Set",
                    "Tenth Data Set",
                    "Eleventh Data Set",
                    "Twelfth Data Set",
                    "Thirteenth Set",
                    "Fourteenth Set",
                    "Fifteenth Set",
                    "Sixteenth Set",
                    "Seventeenth Set",
                    "Eighteenth Set",
                    "Nineteenth Set",
                    "Next Data Set"};


